Index: modules/demux/mpeg/ts.c
===================================================================
RCS file: /var/cvs/videolan/vlc/modules/demux/mpeg/ts.c,v
retrieving revision 1.39
diff -u -r1.39 ts.c
--- modules/demux/mpeg/ts.c	3 Nov 2003 14:02:54 -0000	1.39
+++ modules/demux/mpeg/ts.c	6 Nov 2003 05:45:46 -0000
@@ -655,6 +655,16 @@
                             i_fourcc = VLC_FOURCC('m','p','g','a');
                             i_cat = AUDIO_ES;
                             break;
+                	case MPEG4_VIDEO_ES:
+                	    i_stream_id = 0xfa;
+                	    i_fourcc = VLC_FOURCC('m','p','4','v');
+                	    i_cat = VIDEO_ES;
+                	    break;
+                	case MPEG4_AUDIO_ES:
+                	    i_stream_id = 0xfa;
+                	    i_fourcc = VLC_FOURCC('m','p','4','a');
+                	    i_cat = AUDIO_ES;
+                	    break;
                         case A52_AUDIO_ES:
                             if ( !b_vls_compat )
                                 i_fourcc = VLC_FOURCC('a','5','2',' ');
